## mujs 1.0.7

=== debian/changelog ===
mujs (1.0.7-2) unstable; urgency=medium

  * Update debhelper version
  * Add CI
  * Add CFLAGS and CPPFLAGS
  * Patch: Set LDFLAGS for shared lib
  * Patch: Set the right .pc version

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 17 Jun 2020 01:50:25 +0200

mujs (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 23 Apr 2020 17:08:55 +0200

mujs (1.0.6-3) unstable; urgency=medium

  [ Bastian Germann ]
  * Update Vcs fields because user changed

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #958281)

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 20 Apr 2020 17:24:29 +0200

mujs (1.0.6-2) unstable; urgency=medium

  * Set Vcs fields

 -- Bastian Germann <bastiangermann@fishpost.de>  Sat, 11 Apr 2020 15:33:46 +0200

mujs (1.0.6-1) unstable; urgency=medium

  * Initial release (Closes: #950187)

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 29 Jan 2020 20:28:50 +0100
