## mujs 1.0.9

=== debian/changelog ===
mujs (1.0.9-1) unstable; urgency=medium

  * Unify patch format
  * Remove one dh-exec use
  * Remove orphaned dh-exec
  * Add patch: Install versioned shared library
  * Add Forwarded tag to patch
  * Add symbols file
  * d/watch: Change to git because of lacking releases
  * New upstream version 1.0.9

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 07 Oct 2020 21:56:47 +0200
