## mujs 1.1.0

=== debian/changelog ===
mujs (1.1.0-1+deb11u3) bullseye; urgency=medium

  * Fix CVE-2021-33797 via upstream patch

 -- Bastian Germann <bage@debian.org>  Fri, 19 May 2023 10:44:27 +0200

mujs (1.1.0-1+deb11u2) bullseye-security; urgency=medium

  * Fix CVE-2022-44789, CVE-2022-30974, and CVE-2022-30975 via upstream patches

 -- Bastian Germann <bage@debian.org>  Mon, 21 Nov 2022 13:10:02 +0100

mujs (1.1.0-1+deb11u1) bullseye; urgency=high

  * Clear jump list after patching jump addresses (CVE-2021-45005)

 -- Bastian Germann <bage@debian.org>  Fri, 25 Feb 2022 21:18:16 +0100

mujs (1.1.0-1) unstable; urgency=medium

  * Import new upstream version
  * Refresh patches
  * Remove now unnecessary flag combination

 -- Bastian Germann <bastiangermann@fishpost.de>  Thu, 18 Feb 2021 19:47:17 +0100
