=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mujs
 Priority: optional
 Maintainer: Bastian Germann <bastiangermann@fishpost.de>
-Build-Depends: debhelper-compat (= 13), dh-exec, libreadline-dev
+Build-Depends: debhelper-compat (= 13), libreadline-dev
 Standards-Version: 4.5.0
 Section: javascript
 Rules-Requires-Root: no
