## mujs 1.1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,6 @@
 # Build type and install directories:
+
+-include user.make
 
 build ?= release
 
@@ -15,7 +17,7 @@
 
 # Compiler flags for various configurations:
 
-CFLAGS += -std=c99 -pedantic -Wall -Wextra -Wno-unused-parameter
+CFLAGS := -std=c99 -pedantic -Wall -Wextra -Wno-unused-parameter
 
 ifeq "$(CC)" "clang"
   CFLAGS += -Wunreachable-code
@@ -31,7 +33,7 @@
   CFLAGS += -pipe -g -fsanitize=address -fno-omit-frame-pointer
   LDFLAGS += -fsanitize=address
 else ifeq "$(build)" "release"
-  CFLAGS += -Os
+  CFLAGS += -O2
   LDFLAGS += -Wl,-s
 endif
 
@@ -41,6 +43,7 @@
 endif
 
 CFLAGS += $(XCFLAGS)
+CPPFLAGS += $(XCPPFLAGS)
 
 # You shouldn't need to edit anything below here.
