=== debian/changelog ===
mujs (1.1.3-3) unstable; urgency=medium

  * Move git to debian namespace
  * Set bage's debian.org email
  * d/copyright: utftype.c is also (c) by Lucent

 -- Bastian Germann <bage@debian.org>  Sat, 04 Dec 2021 10:54:09 +0100

mujs (1.1.3-2) unstable; urgency=medium

  * Move experimental to unstable

 -- Bastian Germann <bastiangermann@fishpost.de>  Mon, 23 Aug 2021 12:34:25 +0200

mujs (1.1.3-1) experimental; urgency=medium

  * Import new upstream version
  * Revert "d/watch: Change to git because of lacking releases"
  * Upstream forwards the download page

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 18 Jun 2021 18:41:18 +0200

mujs (1.1.2-1) experimental; urgency=medium

  * Import new upstream version
  * Add new symbols
  * Rework compiler flags once again

 -- Bastian Germann <bastiangermann@fishpost.de>  Wed, 28 Apr 2021 23:47:51 +0200
