=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: mujs
 Priority: optional
-Maintainer: Bastian Germann <bastiangermann@fishpost.de>
+Maintainer: Bastian Germann <bage@debian.org>
 Build-Depends: debhelper-compat (= 13), libreadline-dev
 Standards-Version: 4.5.0
 Section: javascript
 Rules-Requires-Root: no
 Homepage: https://mujs.com/
-Vcs-Browser: https://salsa.debian.org/bage/mujs
-Vcs-Git: https://salsa.debian.org/bage/mujs.git
+Vcs-Browser: https://salsa.debian.org/debian/mujs
+Vcs-Git: https://salsa.debian.org/debian/mujs.git
 
 Package: libmujs-dev
 Section: libdevel
