=== debian/rules ===
--- 
+++ 
@@ -8,13 +8,14 @@
 export build = debug
 export prefix = /usr
 export libdir = $(prefix)/lib/${DEB_HOST_MULTIARCH}
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
 
 %:
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- XCFLAGS="-Wl,-soname,libmujs.so.1" shared
-	dh_auto_build
+	dh_auto_build -- CFLAGS="$(CFLAGS) -Wl,-soname,libmujs.so.1" shared
+	dh_auto_build -- CFLAGS="$(CFLAGS)"
 
 override_dh_auto_install:
 	$(MAKE) install-shared
