## mujs 1.2.0

=== debian/changelog ===
mujs (1.2.0-3) unstable; urgency=high

  * Fix CVE-2022-30974 and CVE-2022-30975 via upstream patches

 -- Bastian Germann <bage@debian.org>  Tue, 05 Jul 2022 14:32:21 +0200

mujs (1.2.0-2) unstable; urgency=medium

  * Source-only reupload

 -- Bastian Germann <bage@debian.org>  Wed, 29 Jun 2022 00:48:14 +0200

mujs (1.2.0-1) experimental; urgency=medium

  * Import new version
  * Rebase patches to new version
  * Reflect ABI change in lib package rename

 -- Bastian Germann <bage@debian.org>  Sat, 18 Jun 2022 22:40:10 +0200

mujs (1.1.3-4) unstable; urgency=high

  * Clear jump list after patching jump addresses (CVE-2021-45005)

 -- Bastian Germann <bage@debian.org>  Fri, 25 Feb 2022 20:33:53 +0100
