## mujs 1.3.0

=== debian/changelog ===
mujs (1.3.0-1) unstable; urgency=medium

  * d/watch: Scan also for tar.gz
  * New upstream version 1.3.0
  * Drop upstream patches

 -- Bastian Germann <bage@debian.org>  Sun, 06 Nov 2022 22:01:52 +0100
