=== debian/watch ===
version=4
https://mujs.com/downloads/mujs-(\d\S+)\.tar\.[gx]z
