## mujs 1.3.2

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,13 @@
 ifeq "$(wildcard .git)" ".git"
   VERSION := $(shell git describe --tags --always)
 else
-  VERSION := $(shell basename $$PWD | sed -e s,^mujs-,,)
+  VERSION := $(patsubst mujs-%,%,$(notdir $(CURDIR)))
+endif
+
+ifeq ($(shell uname),Darwin)
+	SO_EXT := dylib
+else
+	SO_EXT := so
 endif
 
 # Compiler flags for various configurations:
@@ -55,7 +61,7 @@
 default: shell
 shell: $(OUT)/mujs $(OUT)/mujs-pp
 static: $(OUT)/libmujs.a
-shared: $(OUT)/libmujs.so
+shared: $(OUT)/libmujs.$(SO_EXT)
 
 astnames.h: jsparse.h
 	grep -E '(AST|EXP|STM)_' jsparse.h | sed 's/^[^A-Z]*\(AST_\)*/"/;s/,.*/",/' | tr A-Z a-z > $@
@@ -69,31 +75,34 @@
 jsdump.c: astnames.h opnames.h
 
 $(OUT)/%.o: %.c $(HDRS)
-	@ mkdir -p $(dir $@)
+	@ mkdir -p $(@D)
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<
 
 $(OUT)/libmujs.o: one.c $(HDRS)
-	@ mkdir -p $(dir $@)
+	@ mkdir -p $(@D)
 	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<
 
 $(OUT)/libmujs.a: $(OUT)/libmujs.o
-	@ mkdir -p $(dir $@)
+	@ mkdir -p $(@D)
 	$(AR) cr $@ $^
 
-$(OUT)/libmujs.so: one.c $(HDRS)
-	@ mkdir -p $(dir $@)
+$(OUT)/libmujs.$(SO_EXT): one.c $(HDRS)
+	@ mkdir -p $(@D)
 	$(CC) $(CFLAGS) $(CPPFLAGS) -fPIC -shared $(LDFLAGS) -o $@ $< -lm
 
-$(OUT)/mujs: $(OUT)/libmujs.o $(OUT)/main.o
-	@ mkdir -p $(dir $@)
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBREADLINE) -lm
+libmujs ?= libmujs.a
 
-$(OUT)/mujs-pp: $(OUT)/libmujs.o $(OUT)/pp.o
-	@ mkdir -p $(dir $@)
-	$(CC) $(LDFLAGS) -o $@ $^ -lm
+$(OUT)/mujs: $(OUT)/main.o $(OUT)/$(libmujs)
+	@ mkdir -p $(@D)
+	$(CC) $(LDFLAGS) -o $@ $< -L$(OUT) -l:$(libmujs) $(LIBREADLINE) -lm
+
+$(OUT)/mujs-pp: $(OUT)/pp.o $(OUT)/$(libmujs)
+	@ mkdir -p $(@D)
+	$(CC) $(LDFLAGS) -o $@ $< -L$(OUT) -l:$(libmujs) -lm
 
 .PHONY: $(OUT)/mujs.pc
 $(OUT)/mujs.pc:
+	@ mkdir -p $(dir $@)
 	@ echo Creating $@
 	@ echo > $@ Name: mujs
 	@ echo >> $@ Description: MuJS embeddable Javascript interpreter
@@ -117,8 +126,8 @@
 install-static: install-common $(OUT)/libmujs.a
 	install -m 644 $(OUT)/libmujs.a $(DESTDIR)$(libdir)
 
-install-shared: install-common $(OUT)/libmujs.so
-	install -m 755 $(OUT)/libmujs.so $(DESTDIR)$(libdir)
+install-shared: install-common $(OUT)/libmujs.$(SO_EXT)
+	install -m 755 $(OUT)/libmujs.$(SO_EXT) $(DESTDIR)$(libdir)
 
 install: install-static
 
@@ -127,7 +136,7 @@
 	rm -f $(DESTDIR)$(incdir)/mujs.h
 	rm -f $(DESTDIR)$(libdir)/pkgconfig/mujs.pc
 	rm -f $(DESTDIR)$(libdir)/libmujs.a
-	rm -f $(DESTDIR)$(libdir)/libmujs.so
+	rm -f $(DESTDIR)$(libdir)/libmujs.$(SO_EXT)
 
 tarball:
 	git archive --format=zip --prefix=mujs-$(VERSION)/ HEAD > mujs-$(VERSION).zip
