=== debian/changelog ===
mujs (1.3.2-1) unstable; urgency=medium

  * d/watch: Change to git because of lacking releases
  * New upstream version 1.3.2 (Fixes CVE-2022-44789)

 -- Bastian Germann <bage@debian.org>  Thu, 24 Nov 2022 17:11:57 +0100
