=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmujs1 (= ${binary:Version}), ${misc:Depends}
+Depends: libmujs2 (= ${binary:Version}), ${misc:Depends}
 Description: Lightweight JavaScript interpreter (development package)
  MuJS is a lightweight JavaScript interpreter designed for embedding in other
  software to extend them with scripting capabilities.
@@ -25,7 +25,7 @@
  byzantine C++ template mechanisms, or worry about marking and unmarking garbage
  collection roots, or wrestle with obscure build systems.
 
-Package: libmujs1
+Package: libmujs2
 Section: libs
 Architecture: any
 Multi-Arch: same
