=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	dh $@
 
 override_dh_auto_build:
-	dh_auto_build -- CFLAGS="$(CFLAGS) -Wl,-soname,libmujs.so.1" shared
+	dh_auto_build -- CFLAGS="$(CFLAGS) -Wl,-soname,libmujs.so.2" shared
 	dh_auto_build -- CFLAGS="$(CFLAGS)"
 
 override_dh_auto_install:
