## mujs 1.3.3

=== debian/changelog ===
mujs (1.3.3-3build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:08:42 +0000

mujs (1.3.3-3build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:58:38 +0100

mujs (1.3.3-3) unstable; urgency=medium

  * QA upload
  * Orphan the package

 -- Bastian Germann <bage@debian.org>  Tue, 07 Nov 2023 00:30:17 +0100

mujs (1.3.3-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Build during dh_auto_build. (Closes: #1050910)

 -- Bastian Germann <bage@debian.org>  Thu, 31 Aug 2023 14:38:01 +0200

mujs (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * Rebase patches
  * Use HTTPS for uscan
  * Rename binary pkg because of ABI change

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 10:23:20 +0200
