=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: mujs
 Priority: optional
-Maintainer: Bastian Germann <bage@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13), libreadline-dev
 Standards-Version: 4.5.0
 Section: javascript
@@ -13,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmujs2 (= ${binary:Version}), ${misc:Depends}
+Depends: libmujs3 (= ${binary:Version}), ${misc:Depends}
 Description: Lightweight JavaScript interpreter (development package)
  MuJS is a lightweight JavaScript interpreter designed for embedding in other
  software to extend them with scripting capabilities.
@@ -25,7 +26,7 @@
  byzantine C++ template mechanisms, or worry about marking and unmarking garbage
  collection roots, or wrestle with obscure build systems.
 
-Package: libmujs2
+Package: libmujs3
 Section: libs
 Architecture: any
 Multi-Arch: same
