=== debian/changelog ===
mujs (1.3.6-1) unstable; urgency=medium

  * New upstream version 1.3.6
  * debian/copyright
    + Extend copyright debian holders years

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 08 Feb 2025 15:30:35 -0500
