=== debian/watch ===
version=4
opts=mode=git,gitmode=full \
https://git.ghostscript.com/mujs.git refs/tags/(\d\S+)
