## mujs 1.3.7

=== debian/changelog ===
mujs (1.3.7-1) experimental; urgency=medium

  * New upstream release.
  * debian/control
    + Add unicode-data in B-D.
    + Bump to Standards-Version 4.7.2.
  * debian/patches
    + Refresh all patches.
    + Add use-system-unicode-data.diff patch
      + Use system Unicode data instead of downloading.
  * debian/libmujs3.symbols
    + Add new symbols.
  * debian/watch
    + Use file format 5 and change source to mujs website.

 -- Daniel Echeverri <epsilon@debian.org>  Sun, 12 Oct 2025 15:33:30 -0500
