=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mujs
 Priority: optional
 Maintainer: Daniel Echeverri <epsilon@debian.org>
-Build-Depends: debhelper-compat (= 13), libreadline-dev
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13), libreadline-dev, unicode-data
+Standards-Version: 4.7.2
 Section: javascript
 Rules-Requires-Root: no
 Homepage: https://mujs.com/
