=== debian/watch ===
Version: 5
Source: https://mujs.com/downloads/
Matching-Pattern: mujs-@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: html
