## mujs 1.3.8

=== debian/changelog ===
mujs (1.3.8-2) unstable; urgency=medium

  * Move experimental to unstable

 -- Daniel Echeverri <epsilon@debian.org>  Fri, 19 Dec 2025 21:48:22 -0500

mujs (1.3.8-1) experimental; urgency=medium

  * New upstream version 1.3.8
  * debian/control
    + Remove Rules-Requires-Root field
  * debian/libmujs3.symbols
    + Add new symbols

 -- Daniel Echeverri <epsilon@debian.org>  Sat, 13 Dec 2025 18:35:52 -0500
