=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Build-Depends: debhelper-compat (= 13), libreadline-dev, unicode-data
 Standards-Version: 4.7.2
 Section: javascript
-Rules-Requires-Root: no
 Homepage: https://mujs.com/
 Vcs-Browser: https://salsa.debian.org/debian/mujs
 Vcs-Git: https://salsa.debian.org/debian/mujs.git
